Bimmerfest BMW banner

2161 - 2180 of 2398 Posts

·
Premium Member
Joined
·
39,495 Posts
Hi Shawn,

Could i get DL links for latest lite and full psdzdata please? (4.24.21 if i'm correct?)

Thank you
PM sent.
 

·
Premium Member
Joined
·
39,495 Posts
Hi Shawn,

Can I please get links to the latest E-sys, Launcher, and PSdZdata? Thanks. Coding for 2020 g05
Thread as Title indicates is for PSdZdata Full, nothing more. PM sent.
 

·
Registered
Joined
·
4 Posts
Hi Shawn,

Thanks so much for answering all these requests for our fellow forum members! You now have another one :D

Please may I request the latest versions, along with any prerequisites/version compatibility between E-Sys and the Psdzdata packs if you know?

I currently have 3.27.1 working with TMs Launcher Pro 2.8.2, and v63.4_PSdZData_Lite but cannot get the connect via VIN to populate at all on my 02/2017 M240i. I downloaded and tried 3.33.0 with v4.21.32_PSdZData_Lite but that still wouldn't show connection via VIN when connecting after trying all the suggestions for that issue from the forums. Is this a compatibility issue? My car was in at the dealership in March for a headlight control module replacement so I imagine they may have updated everything to new versions. Could that cause older versions of Psdzdata to not connect in E-Sys or populate the VIN leaving it greyed out?

Many thanks
 

·
Registered
Joined
·
4 Posts
Hi Shawn,

Thanks so much for answering all these requests for our fellow forum members! You now have another one :D

Please may I request the latest versions, along with any prerequisites/version compatibility between E-Sys and the Psdzdata packs if you know?

I currently have 3.27.1 working with TMs Launcher Pro 2.8.2, and v63.4_PSdZData_Lite but cannot get the connect via VIN to populate at all on my 02/2017 M240i. I downloaded and tried 3.33.0 with v4.21.32_PSdZData_Lite but that still wouldn't show connection via VIN when connecting after trying all the suggestions for that issue from the forums. Is this a compatibility issue? My car was in at the dealership in March for a headlight control module replacement so I imagine they may have updated everything to new versions. Could that cause older versions of Psdzdata to not connect in E-Sys or populate the VIN leaving it greyed out?

Many thanks
 

·
Premium Member
Joined
·
39,495 Posts
Hi Shawn,

Thanks so much for answering all these requests for our fellow forum members! You now have another one :D

Please may I request the latest versions, along with any prerequisites/version compatibility between E-Sys and the Psdzdata packs if you know?

I currently have 3.27.1 working with TMs Launcher Pro 2.8.2, and v63.4_PSdZData_Lite but cannot get the connect via VIN to populate at all on my 02/2017 M240i. I downloaded and tried 3.33.0 with v4.21.32_PSdZData_Lite but that still wouldn't show connection via VIN when connecting after trying all the suggestions for that issue from the forums. Is this a compatibility issue? My car was in at the dealership in March for a headlight control module replacement so I imagine they may have updated everything to new versions. Could that cause older versions of Psdzdata to not connect in E-Sys or populate the VIN leaving it greyed out?

Many thanks
PM sent.

You will not be able to connect via VIN unless PSdZData is properly installed, and the Car and Laptop have a connection. For this:

1) The Target Connection Window should not be blank (It should show multiple target connections for different chassis')
2) ENET Cable must be good and making good contact in OBDII Port
3) Car must have proper voltage (Make sure motor is running if car is not on a Charger).
4) Laptop must not have Firewall or any Antivirus software running.
5) PC Lan Adapter should get a fallback IP address of 169.254.xxx.xxx (Make sure it is using DHCP and does not have a Static IP address assigned to it)
 

·
Registered
Joined
·
4 Posts
PM sent.

You will not be able to connect via VIN unless PSdZData is properly installed, and the Car and Laptop have a connection. For this:

1) The Target Connection Window should not be blank (It should show multiple target connections for different chassis')
2) ENET Cable must be good and making good contact in OBDII Port
3) Car must have proper voltage (Make sure motor is running if car is not on a Charger).
4) Laptop must not have Firewall or any Antivirus software running.
5) PC Lan Adapter should get a fallback IP address of 169.254.xxx.xxx (Make sure it is using DHCP and does not have a Static IP address assigned to it)
Unless you've got some bots working for you full time, and even if you don't, thanks so much for the swift reply!

From the top, I can see all the targets for different chassis in the Open Connection dialogue box
I turn ignition and engine on, connect cable to ODB and then laptop
NIC gets APIPA address 169.254.131.172 after about a minute
Windows firewall is disabled and no 3rd party AV installed

Will try your downloads and instructions and hit the forums if I still get stuck.

Many thanks again! :thumbup:
 

·
Premium Member
Joined
·
39,495 Posts
Unless you've got some bots working for you full time, and even if you don't, thanks so much for the swift reply!

From the top, I can see all the targets for different chassis in the Open Connection dialogue box
I turn ignition and engine on, connect cable to ODB and then laptop
NIC gets APIPA address 169.254.131.172 after about a minute
Windows firewall is disabled and no 3rd party AV installed

Will try your downloads and instructions and hit the forums if I still get stuck.

Many thanks again! :thumbup:
If it still does not work, you need to try another laptop.
 

·
Premium Member
Joined
·
39,495 Posts
Hi Shawn, can you please tell us if F30 i-step 03.16 and 07.17 blocks can be upgraded with these software versions?
E-Sys 3.27.1
E-Sys Launcher PRO 2.8.2
v.4.24.31_PSdZData_Full (20_07_530)
Thank you .
E-Sys Launcher used only for FDL Coding, and nothing more.

Injecting CAFD (Detect CAF for SWE) and Flashing ECU's with >= v.4.17.20 PSdZData requires using newer E-Sys 3.30.0 or higher.
 

·
Registered
Joined
·
7 Posts
E-Sys Launcher used only for FDL Coding, and nothing more.

Injecting CAFD (Detect CAF for SWE) and Flashing ECU's with >= v.4.17.20 PSdZData requires using newer E-Sys 3.30.0 or higher.
Thank you, Shawn,
I got it right that I can upgrade E-Sys 3.33 blocks to I-STEP 07-20, without Launcher.
and then using Launcher PRO 2.8.2 and E-Sys 3.27 to encode the flashed blocks?
 

·
Premium Member
Joined
·
39,495 Posts
Thank you, Shawn,
I got it right that I can upgrade E-Sys 3.33 blocks to I-STEP 07-20, without Launcher.
and then using Launcher PRO 2.8.2 and E-Sys 3.27 to encode the flashed blocks?
Yes.
 

·
Premium Member
Joined
·
39,495 Posts

·
Premium Member
Joined
·
39,495 Posts

·
Registered
Joined
·
3 Posts
Hello @shawnsheridan - Thank you for all your contributions to this great hobby and this forum

I have successfully coded many cars in the past so i am fluent in the subject

I just bought a certified pre-owned 2016 G12 however during the car prep the BMW dealer flashed it with an i-level dated July of 2020. It is not listed in the I level overview in the latest link.

I am using esys 3.27.1 or 3.30.1, launcher 2.8.2 pro with psdzdata lite 4.21.32

Because of the most recent I-level programmed to the car i cannot seem to edit the FDL's and the cheat codes do not work

Any chance you have a very recent psdzdata that would encompass an i-level dated last month for a 2016 g12 ? (I am sorry i dont have the actual i-level as i am typing)

even my version of ista does not have this i-level - i guess its time to upgrade this too

I really want to silence the seat belt reminder, it is quite annoying !

Thank you again
 
2161 - 2180 of 2398 Posts
Top